/*
 * Copyright (C) 2007-2023 Xagasoft, All rights reserved.
 *
 * This file is part of the libbu++ library and is released under the
 * terms of the license contained in the file LICENSE.
 */

#ifndef TEXT_CODEC_UTF8_H
#define TEXT_CODEC_UTF8_H

#include "bu/textcodec.h"

namespace Bu
{
    class TextCodecUtf8 : public TextCodec
    {
    public:
        TextCodecUtf8();
        virtual ~TextCodecUtf8();

        virtual void encode( BlobBuilder &rTarget, const Text &rSource );
        virtual int32_t decode( TextBuilder &rTarget, const Blob &rSource );
    };
}

#endif
